Subject: Referencing keywords/eref in kramdown-rfc2629

From: Roberto Polli <[email-masked]>
Date: Mon, 21 Feb 2022 10:34:33 +0100

Hi folks,

Currently, to reference a keyword on kramdown-rfc
you need to do something like this e.g. in Notational Convention

```
## Notational Conventions
...
The definitions [representation], [representation data], ..

[representation]: https://datatracker.ietf.org/doc/html/rfc7231#section-3
[representation data]: https://datatracker.ietf.org/doc/html/rfc7231#section-3.1

```

Instead, it would be great to support something like the following

```
## Notational Conventions
...
The definitions [representation], [representation data], ..

[representation]: {{Section 3 of RFC7231}}}
[representation data]: {{Section 3 of RFC7231}}}

```

Moreover, resolving specification aliases, e.g.

...
This document relies on {{!SEMANTICS=RFC7231}}
The definitions [representation], [representation data], ..

[representation]: {{Section 3 of SEMANTICS}}}
[representation data]: {{Section 3 of SEMANTICS}}}

```
would be even better.

I filed an issue here
https://github.com/cabo/kramdown-rfc2629/issues/155

Comments welcome :)

Have a nice day,
R.

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 22 Feb 2022 09:03:21 +1100

Hi Roberto,

The best place for this kind of discussion is probably the rfc-markdown list:
  https://www.ietf.org/mailman/listinfo/rfc-markdown

Cheers,

> On 21 Feb 2022, at 8:34 pm, Roberto Polli <[email-masked]> wrote:
> 
> Hi folks,
> 

--
Mark Nottingham   https://www.mnot.net/